# TdApi.ReorderInstalledStickerSets (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ReorderInstalledStickerSets

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReorderInstalledStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ReorderInstalledStickerSets

Enclosing class:
  TdApi

public static final class TdApi.ReorderInstalledStickerSets extends TdApi.Function<TdApi.Ok>
Changes the order of installed sticker sets. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long[]`
`stickerSetIds`
Identifiers of installed sticker sets in the new correct order.
`TdApi.StickerType`
`stickerType`
Type of the sticker sets to reorder.

## Constructor Summary

Constructors
Constructor
Description
`ReorderInstalledStickerSets()`
Changes the order of installed sticker sets.
`ReorderInstalledStickerSets(TdApi.StickerType stickerType, long[] stickerSetIds)`
Changes the order of installed sticker sets.
`ReorderInstalledStickerSets(DataInput input)`
Changes the order of installed sticker sets.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### stickerType

public TdApi.StickerType stickerType
Type of the sticker sets to reorder.

### stickerSetIds

public long[] stickerSetIds
Identifiers of installed sticker sets in the new correct order.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ReorderInstalledStickerSets

public ReorderInstalledStickerSets()
Changes the order of installed sticker sets. Returns `Ok`

### ReorderInstalledStickerSets

public ReorderInstalledStickerSets(TdApi.StickerType stickerType, long[] stickerSetIds)
Changes the order of installed sticker sets. Returns `Ok`

Parameters:
  `stickerType` - StickerType Type of the sticker sets to reorder.
  `stickerSetIds` - long[] Identifiers of installed sticker sets in the new correct order.

### ReorderInstalledStickerSets

public ReorderInstalledStickerSets(DataInput input) throws IOException
Changes the order of installed sticker sets. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`